aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Ogden <bernie.ogden@linaro.org>2014-05-15 08:54:42 +0100
committerBernard Ogden <bernie.ogden@linaro.org>2014-05-15 09:01:27 +0100
commit3f2e6ed7fc9bd1c852cd0705b325abcab2a06e83 (patch)
tree1449ab128027052d02712d033ffe2d8a634c5005
parentce9d12ec26218c4f32293cc49a0f1d317f41720d (diff)
Add a bit of trace
-rw-r--r--lib/benchmark.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/lib/benchmark.sh b/lib/benchmark.sh
index d6f7458..bd8e6e6 100644
--- a/lib/benchmark.sh
+++ b/lib/benchmark.sh
@@ -859,9 +859,10 @@ set_gcc_to_runwith ()
get_benchmark ()
{
- if test x$1 != x; then
- echo "fetching $1 into $2"
- cp $1 $2/
+ if test x"$1" != x; then
+ local file=($1)
+ echo "fetching $file into $2"
+ cp $1 $2/ || error "Failed to copy $1 to $2/" || return 1
fi
}